Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.util
Class SchemaGen

    java.lang.Object
      org.modeshape.util.SchemaGen

    public class SchemaGen

extends Object

Main class to generate DDL that can be used to build the schema for the `JPA connector`. The class is intended to be bundled with scripts that are to be invoked with the following syntax:

     ddl-gen.sh -dialect <dialect name> -model <model_name> [-out <path to output directory>] [-delimiter <delim>] [-newline]
         Example: ddl-gen.sh -dialect HSQL -model Simple -out /tmp

Field Summary
`static String` | `CREATE_FILE_NAME`
`static String` | `DROP_FILE_NAME`
`protected static Logger` | `logger`

Constructor Summary
`SchemaGen(String dialect, String model, File outputPath)`
`SchemaGen(String dialect, String model, File outputPath, String delimiter)`

Method Summary
`static void` | `main(String[] args)`
`void` | `setNewLineAfterStatement(boolean newLine)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    protected static Logger logger

### CREATE_FILE_NAME

    public static final String CREATE_FILE_NAME

See Also:
  Constant Field Values

### DROP_FILE_NAME

    public static final String DROP_FILE_NAME

See Also:
  Constant Field Values

Constructor Detail

### SchemaGen

    public SchemaGen(String dialect,
                     String model,
                     File outputPath)

### SchemaGen

    public SchemaGen(String dialect,
                     String model,
                     File outputPath,
                     String delimiter)

Method Detail

### setNewLineAfterStatement

    public void setNewLineAfterStatement(boolean newLine)

### main

    public static void main(String[] args)
                     throws IOException

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.